package com.railway.web.controller.business.baseinfo;

import com.railway.business.baseinfo.domain.BasePreventBird;
import com.railway.business.baseinfo.service.IBasePreventBirdService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.bind.WebDataBinder;
import com.railway.common.core.controller.BaseController;
import com.railway.common.core.domain.AjaxResult;
import com.railway.common.core.page.TableDataInfo;
import javax.validation.Valid;
import java.util.List;

import javax.validation.Valid;

@Api(value = "rest/baseinfo/base/prevent/bird", tags = "基础数据-九防台账-防鸟 ")
@RestController
@Validated
@RequestMapping(value = "business/baseinfo/base/prevent/bird")
public class BasePreventBirdController extends BaseController {
    @Autowired
    private IBasePreventBirdService basePreventBirdService;

    @ApiOperation(value = "新增")
    @PostMapping("/add")
    public AjaxResult add(@Validated @RequestBody BasePreventBird basePreventBird) {
        return toAjax(basePreventBirdService.create(basePreventBird));
    }

    @ApiOperation(value = "删除")
    @DeleteMapping("/{ids}")
    public AjaxResult delete(@RequestParam String[] ids) {
        return toAjax(basePreventBirdService.delete(ids));
    }

    @ApiOperation(value = "更新")
    @PutMapping("/update")
    public AjaxResult update(@RequestBody @Valid BasePreventBird basePreventBird) {
        return toAjax(basePreventBirdService.update(basePreventBird));
    }

    @ApiOperation(value = "单个")
    @GetMapping(value = {"/", "/{id}"})
    public AjaxResult getInfo(String id) {
        BasePreventBird info = basePreventBirdService.getInfo(id);
        AjaxResult ajax = AjaxResult.success();
        ajax.put("info",info);
        return ajax;
    }

    @ApiOperation(value = "列表")
    @GetMapping(value = "list")
    public TableDataInfo getList(BasePreventBird basePreventBird) {
        startPage();
        List<BasePreventBird> list = basePreventBirdService.getList(basePreventBird);
        return getDataTable(list);
    }

}
